Bug 91343 - RH9 crashes after several days - after can't mount /proc during boot
RH9 crashes after several days - after can't mount /proc during boot
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-21 13:11 EDT by damonp
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description damonp 2003-05-21 13:11:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
I have a brand new Athlon XP IDE system I installed RH9 on.  After several 
days of configuration for a router and samba fileserver the machine locks up.  
We had to do a hard reset to get the machine back up and now it won't go 
beyond this in the bootup procedure:

mounting proc /etc/rc.sysinit:line 90: 39 segmentation fault LC_ALL = C grep -
q /initrd /proc/mount

Going into rescue, fschk shows no worries, but chroot'ing renders most command 
utils useless as they all segfault.  

The machine was booted and rebooted many times during configuration and ran 
for about six days before dying.

It's an ext3 filesystem with a minimal install, just enough to get samba and 
ipchains working.

I had a similar problem with an older AMD k6 box several weeks ago, using the 
same RH9 media.  The HD went bad in it, so I installed a new 40G HD in the old 
box.  It also ran a week or so and died with similar bootup/segfault 
problems.  At the time, we assumed it must be a problem with the old bios of 
the pre LBA motherboard, so we just bought a whole new box (and new HD) to 
replace it and now are having the same problem with the new box.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH9 on AMD box using EXT3
2. Run box for a week 
3. Box dies and won't boot past mount /proc
    

Actual Results:  Nothing

Expected Results:  Normal bootup

Additional info:
Comment 1 Terrence E. Crane 2003-10-14 18:48:31 EDT
Well Guess What!!!!! We have the same problem on two different machines. Both
are Intel.

These machines run for about two weeks or so. We started getting Shared Memory
Segment Faults. Rebooted the box and get errors when /etc/rc.d/rc.sysinit runs.
It just can't mount /proc. /proc utilized the proc file system and is basically
a ram disk. The files are created by the kernel. Go figure.

This one definitely has me stumped and I have been doing Unix for over 25 years.

Have you figured any thing out yet? We can scrub and reload. But I've done this
on one of the servers 4 times and it runs for a while then, gets Shared Memory
Segment Errors and won't mount /proc.

My partnet called Red Hat to buy some support. They won't sell us any and are
discontinuing support on their Professional Version. Sales said that they would
only support their Enterprise version. Some thing about the fact that they have
1,000,000 customers and only 653 on staff. Said they just couldn't handle it.

GO FIGURE.

If any one comes up with something on this bug. Please let me know. 

tec44@cranenetsol.com
Comment 2 Brian Brock 2003-10-14 19:22:25 EDT
I received a similar report directly from a user, who also added that they've
replaced RAM and hard drives, only to find the problem occur again.
Comment 3 Bugzilla owner 2004-09-30 11:40:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.